WordPress.org

Ready to get started?Download WordPress

Forums

All-in-One Event Calendar
Fatal Error after Updated All-In-One Plugin (11 posts)

  1. isYOGAstudio
    Member
    Posted 4 months ago #

    Hi, updated plugin and now getting following message:

    Warning: array_search() expects parameter 2 to be array, object given in /home/benotterbein/isyogastudio.com/wp-content/plugins/all-in-one-event-calendar/all-in-one-event-calendar.php
    on line 160

    Fatal error: Cannot use object of type stdClass as array in /home/benotterbein/isyogastudio.com/wp-content/plugins/all-in-one-event-calendar/all-in-one-event-calendar.php
    on line 160

    https://wordpress.org/plugins/all-in-one-event-calendar/

  2. maxwelton
    Member
    Posted 4 months ago #

    Same.

  3. isYOGAstudio
    Member
    Posted 4 months ago #

    Maxwelton - how you tried any fixes yet? It seems that disabling the plugins has been suggested?

  4. defiant06
    Member
    Posted 4 months ago #

    Relevant to those with STANDARD installation donwloaded from Authors site:

    The reason why there is a fatal error is occurring if i remember correctly, the version on wordpress.org differs from the "standard" version downloadable from the plugins author site. SO, if you use the STANDARD version on your site DO NOT UPDATE using the reminder within your wordpress installation ie its fed from wordpress.org! - as it will think you are using the lite version and will attempt to update your standard version (as you have installed this) and ultimately break the plugin!

    Ok here is a WORK AROUND IF YOU HAVE ENCOUNTERED THE FATAL ERROR which worked for me:

    1/ Firstly you need to access via FTP such as dreamweaver etc the directory containing the plugin ie wp-content/plugins/all-in-one-event-calendar
    Using the FTP change the name of the folder from "all-in-one-event-calendar" to anything you want in my case i simply used "123". By doing this you force WP to deactivate the plugin on the plugin admin area. This is particularly helpful again such in my case, where by i couldnt even access the plugins list in admin due to the fatal error occurring!

    2/ Now check the plugins list via your website and it should show that the plugin has been de-activated.

    3/ Download the STANDARD version of the plugin from http://time.ly/ (v 1.10.11).

    4/ decompress the file - you should have all-in-one-event-calendar folder with all the contents

    5/ Upload the the entirety of the all-in-one-event-calendar folder to the plugins folder in your wordpress installation USING YOUR FTP.

    6/ Once the upload is completed go back to your wordpress website plugins admin page and activate the plugin - error should no longer occur.

    Hope this helps

  5. Jashan
    Member
    Plugin Author

    Posted 4 months ago #

    Hello,

    To fix this, please FTP your site, and go to Wp-content -> plugins -> All in one calendar -> all-in-one-calendar.php and delete the following code at line 128
    unset( $plugins->active[ array_search( $basename, $plugins->active ) ] );

    This should fix the issue.
    Thanks

  6. blmbmj
    Member
    Posted 3 months ago #

    thank you very much. I was having the same problem. Commenting out the lines of code worked, but mine was NOT line 128, but I searched and found it.

  7. Jashan
    Member
    Plugin Author

    Posted 3 months ago #

    Hello @isYOGAstudio,

    Has the above fix helped you? If so please mark this resolved :)
    @blmbmj I'm glad your issue is resolved.

    Cheers!

  8. hilaryOSS
    Member
    Posted 2 months ago #

    I deleted the code on line 160 but anytime I go to access the plugins areas I still get the error code.

  9. esmi
    Forum Moderator
    Posted 2 months ago #

    If you require assistance then, as per the Forum Welcome, please post your own topic instead of tagging onto someone else's topic.

    This month old topic references an older version of WordPress.

  10. hilaryOSS
    Member
    Posted 2 months ago #

    Thanks for the info esmi. I have not updated to the newest version on WordPress until this was fixed so is the question still valid here?

  11. imusmi
    Member
    Posted 2 months ago #

    Nice work Jashan.....Its working
    GOD BLESS YOU MAN

Reply

You must log in to post.

About this Plugin

About this Topic